| Samsung Internal API reference 2.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Structures
Here are the data structures with brief descriptions:

C__pthread_attr_t |
C__pthread_cond_t |
C__pthread_condattr_t |
C__pthread_mutex_t |
C__pthread_once_t |
C__TEE_SC_CardKeyRef |
C__TEE_SC_DeviceKeyRef |
C__TEE_SC_DeviceKeyRef.__unnamed__ |
C__TEE_SC_KeySetRef |
C__TEE_SC_OID |
C__TEE_SC_Params |
C__TEE_SEAID |
C__TEE_SEReaderProperties |
C__uuid_t | Wrapper for uuid type
C cpu_set_t |
C desc_atom | Structure that contains description of single data item
C fops | Structure that contains file operations callbacks supported by the driver. If user wants the driver to carry out some additional action, then handlers should be assigned to the appropriate callbacks
C ioctl_desc | Structure that template for ioctl() parameters parsing
C rot_t | Structure to handle Root of Trust information
C secHDCPKeyInfo_t | Key information for HDCP
C smc_data | SMC command description
C stat |
C TEE_iSocket_s | ISocket instance Please refer to GPD_SPE_100 specification for detailed description. Basic rules are following:
C TEE_tcpSocket_Setup_s | TCP Setup structure
C TEE_tlsSocket_CallbackInfo_s | Callback description structure
C TEE_tlsSocket_CB_Data_s | IOCTL definitions
C TEE_tlsSocket_CertStorageCred_s | Void type for future usage. Applications SHALL pass a NULL pointer. The intention is to have this structure hold handles or references to either trusted root certificates or a proper client certificate inside a future certificate storage of the TEE
C TEE_tlsSocket_ClientPDC_s | This structure holds the opaque client certificate for the TA as well as the corresponding private key. This is used to provide pre-installed certificates for the TA authentication on Server
C TEE_tlsSocket_Credentials_s | Structure holding server and client credentials
C TEE_tlsSocket_Credentials_s.__unnamed__ |
C TEE_tlsSocket_Credentials_s.__unnamed__ |
C TEE_tlsSocket_PSK_Info_s | Pre-Shared Key (PSK). When PSK is used, the TA needs to provide the key and a key identity to the TLS implementation. This structure holds that information Not supported
C TEE_tlsSocket_ServerPDC_s | If the server Root public key has been pre-distributed to the TA, this structure holds the TEE_ObjectHandle to that key. If desirable, Server Root credentials could be provided as bulkCertChain - this is GP specs extension. publicKey is used by default
C TEE_tlsSocket_Setup_s | TLS Setup structure
C TEE_tlsSocket_Setup_s.__unnamed__ |
C TEE_tlsSocket_SRP_Info_s | Secure Remote Password (SRP). When SRP is used, the TA needs to provide the password and the user identity to the TLS implementation. This structure holds that information. Not supported
C TEE_TUIButton | Structure that defines the content of a button
C TEE_TUIEntryField | Structure that represents an entry field which acquires user inputs
C TEE_TUIImage | Structure that defines a way to handle an image for label area and buttons
C TEE_TUIImage.__unnamed__ |
C TEE_TUIImage.__unnamed__.object |
C TEE_TUIImage.__unnamed__.ref |
C TEE_TUIScreenButtonInfo | Structure that represents button information associated with a TUI screen for a given orientation
C TEE_TUIScreenConfiguration | Structure that enables configuration of a TUI screen
C TEE_TUIScreenInfo | Structure that represents screen information for a given orientation
C TEE_TUIScreenLabel | Structure that defines the contents of the TA defined label area, which is provided to support TA branding and a TA defined message
C TEE_udpSocket_Change_s | UDP change addr and port IOCTL structure. TEE_UDP_CHANGE* functions are implementation as synonims. Both server_addr and server_port must be provided for either call. In case of error returned Client should try to open new socket as usual
C TEE_udpSocket_Setup_s | UDP Setup structure
C TEES_ClientCredentials | Client credentials structure. Used by TEES_GetClientCredentials()
C TEES_El2if_Args | Arguments for EL2 SMC call
C TEES_I2CTransfer | I2C data transfer buffer
C TEES_SPIConfig | Configuration of SPI device
C TEES_SPITransfer | Descriptor to transfer data over SPI
C TEES_TUI_MT_Info | Structure that represents all the information of touch events
C TEES_TUIImage | Structure that represents properties of image and buffers
C TEES_TUIMTInfo | Structure that represents information of touch event (touch position, touch type)
C TEES_TUIScreenInfo | Structure that represents information on the requested screen
C TEES_TUITouchInfo | Structure that represents information of touch event (touch position, touch type)
C tm |
C usr_drv_info | Structure that contains information describing the driver
C wrapped_wkth_rek_t | Structure for wrapping with REK